%define debug_package %{nil}

Name:     nailgun
Version:  0.9.1
Release:  %mkrel 11
Group:    Development/Java
Summary:  Framework for running Java from the cli without the JVM startup overhead
License:  ASL 2.0
URL:      https://martiansoftware.com/nailgun/

# https://github.com/martylamb/nailgun/archive/nailgun-all-0.9.1.zip
Source0:  %{name}-%{name}-all-%{version}.zip

BuildRequires:  maven-local

%description
Nailgun is a client, protocol, and server for running Java programs from the 
command line without incurring the JVM startup overhead. Programs run in the 
server (which is implemented in Java), and are triggered by the client 
(written in C), which handles all I/O.

%package javadoc
Summary:        Javadocs for %{name}
BuildArch:      noarch

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{name}-all-%{version}

find ./ -name '*.jar' -exec rm -f '{}' \; 
find ./ -name '*.class' -exec rm -f '{}' \; 

# drop unnecessary dependency on deprecated parent POM
%pom_remove_parent

%pom_remove_plugin :maven-javadoc-plugin
%pom_remove_plugin :maven-source-plugin

# remove maven-compiler-plugin configuration that is broken with Java 11
%pom_xpath_remove 'pom:plugin[pom:artifactId="maven-compiler-plugin"]/pom:configuration'

%build
%mvn_build -- -Dmaven.compiler.source=1.8 -Dmaven.compiler.target=1.8

%install
%mvn_install

%files -f .mfiles
%doc README.md

%files javadoc -f .mfiles-javadoc



%changelog
* Mon May 27 2024 ns80 <ns80> 0.9.1-11.mga10
+ Revision: 2068281
- rebuild for java 21

* Tue Mar 15 2022 umeabot <umeabot> 0.9.1-10.mga9
+ Revision: 1792909
- Mageia 9 Mass Rebuild

* Mon Sep 07 2020 daviddavid <daviddavid> 0.9.1-9.mga8
+ Revision: 1623272
- Drop unnecessary dependency on deprecated parent POM
- Set javac source and target to 1.8 to fix Java 11 builds

* Fri Feb 14 2020 umeabot <umeabot> 0.9.1-8.mga8
+ Revision: 1519848
- Mageia 8 Mass Rebuild

* Mon Oct 22 2018 daviddavid <daviddavid> 0.9.1-7.mga7
+ Revision: 1323654
- Fix FTBFS rhbz#1583294, rhbz#1604919 (sync with fc29)

* Sun Sep 23 2018 umeabot <umeabot> 0.9.1-6.mga7
+ Revision: 1299673
- Mageia 7 Mass Rebuild

* Sun May 21 2017 neoclust <neoclust> 0.9.1-5.mga6
+ Revision: 1103791
- Fix Build
- Second rebuild of the java stack

* Tue Mar 01 2016 daviddavid <daviddavid> 0.9.1-3.mga6
+ Revision: 981383
- let xmvn generate javadocs (fix build)
+ neoclust <neoclust>
- First rebuild of the java stack
- sync package nailgun with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Fri Feb 20 2015 pterjan <pterjan> 0.9.1-1.mga5
+ Revision: 816072
- Update to 0.9.1 needed by jruby

* Fri Dec 26 2014 dmorgan <dmorgan> 0.7.1-6.mga5
+ Revision: 806245
- Sync with fc21

* Wed Oct 15 2014 umeabot <umeabot> 0.7.1-5.mga5
+ Revision: 740182
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.7.1-4.mga5
+ Revision: 682794
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.7.1-3.mga4
+ Revision: 508163
- Mageia 4 Mass Rebuild
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Aug 02 2011 dmorgan <dmorgan> 0.7.1-1.mga2
+ Revision: 131282
- Clean spec file
+ gil <gil>
- removed exe files as recommended by dmorgan
- removed exe file
- edit ant tasks
- imported package nailgun


* Sat Jun 11 2011 gil <gil> 0.7.1-0.%%mkrel
- initial rpm